Feb 19, 2009
genrandom
8
BIND9

# genrandom

generate a file containing random data
2009
2010
2011
2012
Internet Systems Consortium, Inc. ("ISC")

          genrandom
          -n number
          size
          filename

## DESCRIPTION

`genrandom` generates a file or a set of files containing a specified quantity of pseudo-random data, which can be used as a source of entropy for other commands on systems with no random device.

## ARGUMENTS

-n number

  In place of generating one file, generates `number` (from 2 to 9) files, appending `number` to the name.

size

  The size of the file, in kilobytes, to generate.

filename

  The file name into which random data should be written.

## SEE ALSO

rand 3 , arc4random 3

## AUTHOR

Internet Systems Consortium